# -*- coding: utf-8 -*-

import irc3
from docopt import Dict
from irc3.plugins.command import command
from irc3.utils import IrcString

from . import Plugin

class Ascii(Plugin):

    @command
    def buddha(self, mask: IrcString, target: IrcString, args: Dict):
        """prints a giant swastika

        %%buddha
        """
        for line in (
            '░░░░░░░░░░░░░░░▄▀▄░░░░░░░░░░░░░░░',
            '░░░░░░░░░░░░░▄▀░░░▀▄░░░░░░░░░░░░░',
            '░░░░░░░░░░░▄▀░░░░▄▀█░░░░░░░░░░░░░',
            '░░░░░░░░░▄▀░░░░▄▀░▄▀░▄▀▄░░░░░░░░░',
            '░░░░░░░▄▀░░░░▄▀░▄▀░▄▀░░░▀▄░░░░░░░',
            '░░░░░░░█▀▄░░░░▀█░▄▀░░░░░░░▀▄░░░░░',
            '░░░▄▀▄░▀▄░▀▄░░░░▀░░░░▄█▄░░░░▀▄░░░',
            '░▄▀░░░▀▄░▀▄░▀▄░░░░░▄▀░█░▀▄░░░░▀▄░',
            '░█▀▄░░░░▀▄░█▀░░░░░░░▀█░▀▄░▀▄░▄▀█░',
            '░▀▄░▀▄░░░░▀░░░░▄█▄░░░░▀▄░▀▄░█░▄▀░',
            '░░░▀▄░▀▄░░░░░▄▀░█░▀▄░░░░▀▄░▀█▀░░░',
            '░░░░░▀▄░▀▄░▄▀░▄▀░█▀░░░░▄▀█░░░░░░░',
            '░░░░░░░▀▄░█░▄▀░▄▀░░░░▄▀░▄▀░░░░░░░',
            '░░░░░░░░░▀█▀░▄▀░░░░▄▀░▄▀░░░░░░░░░',
            '░░░░░░░░░░░░░█▀▄░▄▀░▄▀░░░░░░░░░░░',
            '░░░░░░░░░░░░░▀▄░█░▄▀░░░░░░░░░░░░░',
            '░░░░░░░░░░░░░░░▀█▀░░░░░░░░░░░░░░░'
        ):
            self.bot.privmsg(target, line)

    @command
    def rotschwuchtel(self, mask: IrcString, target: IrcString, args: Dict):
        """prints a giant hammer and sickle

        %%rotschwuchtel
        """

        for line in (
            '░░░░░░░░░░▀▀▀██████▄▄▄░░░░░░░░░░',
            '░░░░░░░░░░░░░░░░░▀▀▀████▄░░░░░░░',
            '░░░░░░░░░░▄███████▀░░░▀███▄░░░░░',
            '░░░░░░░░▄███████▀░░░░░░░▀███▄░░░',
            '░░░░░░▄████████░░░░░░░░░░░███▄░░',
            '░░░░░██████████▄░░░░░░░░░░░███▌░',
            '░░░░░▀█████▀░▀███▄░░░░░░░░░▐███░',
            '░░░░░░░▀█▀░░░░░▀███▄░░░░░░░▐███░',
            '░░░░░░░░░░░░░░░░░▀███▄░░░░░███▌░',
            '░░░░▄██▄░░░░░░░░░░░▀███▄░░▐███░░',
            '░░▄██████▄░░░░░░░░░░░▀███▄███░░░',
            '░█████▀▀████▄▄░░░░░░░░▄█████░░░░',
            '░████▀░░░▀▀█████▄▄▄▄█████████▄░░',
            '░░▀▀░░░░░░░░░▀▀██████▀▀░░░▀▀██░░'
        ):
            self.bot.privmsg(target, line)

    @command
    def fluppe(self, mask: IrcString, target: IrcString, args: Dict):
        """prints a cigarette

        %%fluppe
        """

        for line in (
            '                   )',
            '                  (',
            '      _ ___________ )',
            '     [_[___________#'
        ):
            self.bot.privmsg(target, line)
